[package]
name = "ygg_driver_nvme"
version = "0.1.0"
edition = "2024"
authors = ["Mark Poliakov <mark@alnyan.me>"]

[dependencies]
yggdrasil-abi.workspace = true
libk-util.workspace = true
libk-mm.workspace = true
libk.workspace = true
device-api = { workspace = true, features = ["derive"] }
kernel-arch.workspace = true

ygg_driver_pci = { path = "../../bus/pci" }
kernel-fs = { path = "../../fs/kernel-fs" }

log.workspace = true
futures-util.workspace = true
static_assertions.workspace = true
tock-registers.workspace = true
bytemuck.workspace = true
async-trait.workspace = true
